#ifndef __SPILCD_H
#define __SPILCD_H

#include "ch32v30x.h"

/////////////////////////////////////û/////////////////////////////////////
//ֺ֧ٶл
#define USE_HORIZONTAL      0   //Ƿʹú      0,ʹ.1,ʹ.

//-----------------------------SPI --------------------------------------//
#define USE_HARDWARE_SPI    1   //1:Enable Hardware SPI;0:USE Soft SPI

//-------------------------Ļ--------------------------------------//
#define LCD_X_SIZE          240
#define LCD_Y_SIZE          320

#if USE_HORIZONTAL//˺
#define X_MAX_PIXEL         LCD_Y_SIZE
#define Y_MAX_PIXEL         LCD_X_SIZE
#else
#define X_MAX_PIXEL         LCD_X_SIZE
#define Y_MAX_PIXEL         LCD_Y_SIZE
#endif

////////////////////////////////////////////////////////////////////////////////////
#define RED     0xf800
#define GREEN   0x07e0
#define BLUE    0x001f
#define WHITE   0xffff
#define BLACK   0x0000
#define YELLOW  0xFFE0
#define GRAY0   0xEF7D        //ɫ0 31650011000101100101
#define GRAY1   0x8410        //ɫ1 0000000000000000
#define GRAY2   0x4208        //ɫ2 1111111111011111

#define LCD_CTRL        GPIOB       //TFTݶ˿
#define LCD_LED         GPIO_Pin_9  //PB9 TFT --LED
#define LCD_DC          GPIO_Pin_10 //PB10TFT --DC
#define LCD_CS          GPIO_Pin_11 //PB11TFT --CS
#define LCD_RESET       GPIO_Pin_12 //PB12TFT --RST
#define LCD_SCK         GPIO_Pin_13 //PB13TFT --CLK
#define LCD_SDI         GPIO_Pin_15 //PB15TFT --SDI(MOSI)

//Һƿ1궨
#define LCD_CS_SET      LCD_CTRL->BSHR=LCD_CS
#define LCD_DC_SET      LCD_CTRL->BSHR=LCD_DC
#define LCD_SDI_SET     LCD_CTRL->BSHR=LCD_SDI
#define LCD_SCK_SET     LCD_CTRL->BSHR=LCD_SCK
#define LCD_RESET_SET   LCD_CTRL->BSHR=LCD_RESET
#define LCD_LED_SET     LCD_CTRL->BSHR=LCD_LED

//Һƿ0궨
#define LCD_CS_CLR      LCD_CTRL->BCR=LCD_CS
#define LCD_DC_CLR      LCD_CTRL->BCR=LCD_DC
#define LCD_SDI_CLR     LCD_CTRL->BCR=LCD_SDI
#define LCD_SCK_CLR     LCD_CTRL->BCR=LCD_SCK
#define LCD_RESET_CLR   LCD_CTRL->BCR=LCD_RESET
#define LCD_LED_CLR     LCD_CTRL->BCR=LCD_LED

void SPI2_Init(void);
u8 SPI_WriteByte(SPI_TypeDef* SPIx,u8 Byte);
void SPI_SetSpeed(SPI_TypeDef* SPIx,u8 SpeedSet);
void Lcd_WriteIndex(u8 Index);
void Lcd_WriteData(u8 Data);
void Lcd_WriteReg(u8 Index,u16 Data);
void Lcd_WriteData_16Bit(u16 Data);
void Lcd_Reset(void);
void Lcd_Init(void);
void Lcd_SetXY(u16 Xpos, u16 Ypos);
void Lcd_SetRegion(u16 xStar, u16 yStar,u16 xEnd,u16 yEnd);
void Gui_DrawPoint(u16 x,u16 y,u16 Data);
void Lcd_Clear(u16 Color);

#endif
